<!DOCTYPE html>
<html lang="en">
<head>
    <title>PNJ API</title>
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="favicon.ico">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
    <!-- FontAwesome JS -->
    <script defer src="https://use.fontawesome.com/releases/v5.7.2/js/all.js" integrity="sha384-0pzryjIRos8mFBWMzSSZApWtPl/5++eIfzYmTgBBmXYdhvxPc+XcFEk+zJwDgWbP" crossorigin="anonymous"></script>
    <!-- Global CSS -->
    <link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
    <!-- Plugins CSS -->
    <link rel="stylesheet" href="assets/plugins/elegant_font/css/style.css">

    <!-- Theme CSS -->
    <link id="theme-style" rel="stylesheet" href="assets/css/styles.css">

</head>

<body class="body-green">
<div class="page-wrapper">
    <!-- ******Header****** -->
    <header id="header" class="header">
        <div class="container">
            <div class="branding">
                <h1 class="logo">
                    <a href="index.html">
                        <span aria-hidden="true" class="icon_documents_alt icon"></span>
                        <span class="text-highlight">PNJ</span><span class="text-bold">API</span>
                    </a>
                </h1>
            </div><!--//branding-->

            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="index.html">Home</a></li>
            </ol>

        </div><!--//container-->
    </header><!--//header-->

    <div class="doc-wrapper">
        <div class="container">
            <div id="doc-header" class="doc-header text-center">
                <h1 class="doc-title"><i class="icon fa fa-paper-plane"></i> Quick Start</h1>
            </div><!--//doc-header-->
            <div class="doc-body row">
                <div class="doc-content col-md-9 col-12 order-1">
                    <div class="content-inner">
                        <section id="description-section" class="doc-section">
                            <h2 class="section-title">Description</h2>
                            <div class="section-block">
                                <p>PNJ API est une banque de personnages regroupant plusieurs univers dont Donjon et Dragons et l'Appel de Cthulhu. Il est possible d'y ajouter de nouveaux personnages en tenant compte de sa race, sa classe et ses statistiques, et d'en récupérer depuis leur nom ou leur jeu.
                                </p>
                            </div>
                        </section><!--//doc-section-->
                        <section id="requetes_section" class="doc-section">
                            <h2 class="section-title">Requêtes</h2>
                            <div class="section-block">
                                <p>
                                    Chaque type de requête necessite des paramètres, du nom à l'id du personnage. Les paramètres sont indiqués sous les requêtes.
                                </p>
                            </div><!--//section-block-->

                            <div class="section-block">
                                <div class="code-block">
                                    <h3 class="section-block-s" id="step1">Rechercher des PNJ</h3>
                                    <h4>Par nom</h4>
                                    <p>api/PNJ?name={Nom du PNJ}</p>
                                    <p><b>name</b> : Nom du Personnage.</p>
                                    <h4>Par Jeu</h4>
                                    <p>api/PNJ?game={Jeu}</p>
                                    <p><b>game</b> : ID du jeu (1 pour DnD, 2 pour CoC).</p>
                                    <h4>Par Classe / Occupation</h4>
                                    <p>api/PNJ?role={role}</p>
                                    <p><b>role</b> : ID de la Classe (pour DnD) ou Occupation (pour CoC) du personnage.</p>
                                    <br/>
                                    <h3 class="section-block-s" id="step2">Modifier des PNJ</h3>
                                    <p>api/PNJ?id={id}&image={image}&name={Nom du PNJ}&role={id du role}&race={id de la race}&stats={stats}</p>
                                    <p><b>id</b> : ID du personnage à modifier.</p>
                                    <p><b>image</b> : Lien de la nouvelle image du personnage.</p>
                                    <p><b>name</b> : Nouveau nom du personnage.</p>
                                    <p><b>role</b> : ID de la nouvelle Classe (pour DnD) ou Occupation (pour CoC) du personnage.</p>
                                    <p><b>race</b> : ID de la nouvelle Race du personnage (pour DnD, aucun effet pour CoC).</p>
                                    <p><b>stats</b> : Stats du personnage. Au format x,x,x,x,x,x,x,x</p>
                                    <br/>
                                    <h3 class="section-block-s" id="step3">Insérer des PNJ</h3>
                                    <p>api/PNJ?game={game}&image={image}&name={Nom du PNJ}&role={id du role}&race={id de la race}&stats={stats}</p>
                                    <p><b>game</b> : ID du jeu auquel le personnage appartient (1 pour DnD, 2 pour CoC).</p>
                                    <p><b>image</b> : Format de l'image image du personnage.</p>
                                    <p><b>name</b> : Nom du personnage.</p>
                                    <p><b>role</b> : ID de la Classe (pour DnD) ou Occupation (pour CoC) du personnage.</p>
                                    <p><b>race</b> : ID de la Race du personnage (pour DnD, aucun effet pour CoC).</p>
                                    <p><b>stats</b> : Stats du personnage. Au format x,x,x,x,x,x,x,x</p>
                                    <br/>
                                    <h3 class="section-block-s" id="step4">Supprimer des PNJ</h3>
                                    <p>api/PNJ?id={id}</p>
                                    <p><b>id</b> : ID du personnage à supprimer.</p>



                        </section><!--//doc-section-->
                    </div><!--//content-inner-->
                </div><!--//doc-content-->
                <div class="doc-sidebar col-md-3 col-12 order-0 d-none d-md-flex">
                    <div id="doc-nav" class="doc-nav">

                        <nav id="doc-menu" class="nav doc-menu flex-column sticky">
                            <a class="nav-link scrollto" href="#description-section">Description</a>
                            <a class="nav-link scrollto" href="#requetes_section">Requêtes</a>
                            <nav class="doc-sub-menu nav flex-column">
                                <a class="nav-link scrollto" href="#step1">Ajouter</a>
                                <a class="nav-link scrollto" href="#step2">Modifier</a>
                                <a class="nav-link scrollto" href="#step3">Insérer</a>
                                <a class="nav-link scrollto" href="#step4">Supprimer</a>
                            </nav><!--//nav-->
                            <a class="nav-link scrollto" href="https://localhost:5001/api/PNJ/INFO">Correspondance ID</a>

                        </nav><!--//doc-menu-->

                    </div>
                </div><!--//doc-sidebar-->
            </div><!--//doc-body-->
        </div><!--//container-->
    </div><!--//doc-wrapper-->

</div><!--//page-wrapper-->

<footer id="footer" class="footer text-center">
    <div class="container">
        <small class="copyright">On remercie <a href="https://themes.3rdwavemedia.com/" target="_blank">Xiaoying Riley</a> car on avait la flemme de designer une page.</small>

    </div><!--//container-->
</footer><!--//footer-->


<!-- Main Javascript -->
<script type="text/javascript" src="assets/plugins/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="assets/plugins/prism/prism.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-scrollTo/jquery.scrollTo.min.js"></script>
<script type="text/javascript" src="assets/plugins/stickyfill/dist/stickyfill.min.js"></script>
<script type="text/javascript" src="assets/js/main.js"></script>

</body>
</html> 

